OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.SGIS.TextureFilter4

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGISTextureFilter4 :: MonadIO m => m Bool
- gl_SGIS_texture_filter4 :: Bool
- pattern GL_FILTER4_SGIS :: GLenum
- pattern GL_TEXTURE_FILTER4_SIZE_SGIS :: GLenum
- glGetTexFilterFuncSGIS :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glTexFilterFuncSGIS :: MonadIO m => GLenum -> GLenum -> GLsizei -> Ptr GLfloat -> m ()

# Extension Support

glGetSGISTextureFilter4 :: MonadIO m => m Bool Source #

Is the SGIS_texture_filter4 extension supported?

gl_SGIS_texture_filter4 :: Bool Source #

Is the SGIS_texture_filter4 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGISTextureFilter4` in those cases instead.

# Enums

pattern GL_FILTER4_SGIS :: GLenum Source #

pattern GL_TEXTURE_FILTER4_SIZE_SGIS :: GLenum Source #

# Functions

glGetTexFilterFuncSGIS Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `filter` of type TextureFilterSGIS.
-> Ptr GLfloat | `weights` pointing to `COMPSIZE(target,filter)` elements of type `GLfloat`.
-> m () |

glTexFilterFuncSGIS Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `filter` of type TextureFilterSGIS.
-> GLsizei | `n`.
-> Ptr GLfloat | `weights` pointing to `n` elements of type `GLfloat`.
-> m () |